libexif -- several vulnerabilities

2008-02-08T00:00:00
ID DSA-1487
Type debian
Reporter Debian
Modified 2008-02-08T00:00:00

Description

Several vulnerabilities have been discovered in the EXIF parsing code of the libexif library, which can lead to denial of service or the execution of arbitrary code if a user is tricked into opening a malformed image. The Common Vulnerabilities and Exposures project identifies the following problems:

Victor Stinner discovered an integer overflow, which may result in denial of service or potentially the execution of arbitrary code.

Meder Kydyraliev discovered an infinite loop, which may result in denial of service.

Victor Stinner discovered an integer overflow, which may result in denial of service or potentially the execution of arbitrary code.

This update also fixes two potential NULL pointer deferences.

For the old stable distribution (sarge), these problems have been fixed in 0.6.9-6sarge2.

For the stable distribution (etch), these problems have been fixed in version 0.6.13-5etch2.

We recommend that you upgrade your libexif packages.